##
##  Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
##  Copyright (C) 2012-2012 - Scilab Enterprises - Bruno JOFRET
##  Copyright (C) 2011-2013 - Scilab Enterprises - Clement DAVID
##
##  This file must be used under the terms of the CeCILL.
##  This source file is licensed as described in the file COPYING, which
##  you should have received as part of this distribution.  The terms
##  are also available at
##  http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
##
##

NAME = runMe

include x86_target.mk
#include mppa_target.mk

LDFLAGS=$(TARGET_LDFLAGS)
CFLAGS=-O2 -g $(TARGET_CFLAGS)

RM = rm -f


# C blocks comes from the standard scilab distribution
SCI = /home/davidcl/work/releases/scilab-5.4.0

SCI_SCICOS_BLOCKS_SRC_C = $(SCI)/modules/scicos_blocks/src/c
SCI_SCICOS_BLOCKS_SRC_FORTRAN = $(SCI)/modules/scicos_blocks/src/fortran

SCI_ELEMENTARY_FUNCTIONS_SRC_FORTRAN = $(SCI)/modules/elementary_functions/src/fortran

SRC = 	Cluster_1_act_sens_events.c \
		Cluster_1_standalone.c

#BLOCK_SRC_C = 	$(SCI_SCICOS_BLOCKS_SRC_C)/multiplex.c \
#				$(SCI_SCICOS_BLOCKS_SRC_C)/dsslti4.c \
#				$(SCI_SCICOS_BLOCKS_SRC_C)/dmmul.c \
#				$(SCI_SCICOS_BLOCKS_SRC_C)/dmmul1.c
BLOCK_SRC_C = 	multiplex.c \
				dsslti4.c \
				dmmul.c \
				dmmul1.c
				
BLOCK_SRC_CXX =

BLOCK_SRC_FORTRAN =

CPPFLAGS += -I $(SCI)/include/scilab \
			-D VERBOSE

OBJ = 	$(SRC:.c=.o) \
		$(BLOCK_SRC_C:.c=.o) \
		$(BLOCK_SRC_CXX:.cpp=.o) \
		$(BLOCK_SRC_FORTRAN:.f=.o)

all : $(OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJ) -lm -o $(NAME)

clean :
	$(RM) $(OBJ)

distclean : clean
	$(RM) $(NAME)

strip : all
	$(STRIP) $(NAME)

cluster : all
	$(K1_TOOLCHAIN_DIR)/bin/k1-cluster --mcluster=node ./$(NAME)

trace : all
	$(RM) trace.*
	$(K1_TOOLCHAIN_DIR)/bin/k1-cluster --mcluster=node -t ./$(NAME)
	$(K1_TOOLCHAIN_DIR)/bin/k1-dtv trace.*

callgrind : all
	$(RM) callgrind.*
	$(K1_TOOLCHAIN_DIR)/bin/k1-cluster --mcluster=node --callgrind ./$(NAME)
	kcachegrind callgrind.0

